Botan 1.10.17

Namespaces | Functions
selftest.cpp File Reference
`#include <botan/selftest.h>`
`#include <botan/filters.h>`
`#include <botan/internal/core_engine.h>`
`#include <botan/internal/stl_util.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
std::map< std::string, bool > | Botan::algorithm_kat (const SCAN_Name &algo_name, const std::map< std::string, std::string > &vars, Algorithm_Factory &af)
void | Botan::confirm_startup_self_tests (Algorithm_Factory &af)
bool | Botan::passes_self_tests (Algorithm_Factory &af)